public class Die {
	private int faceValue;

	public Die(int faceValue) {
		this.faceValue = faceValue;
	}

	public void roll() {
		faceValue = (int) (Math.random() * 6 + 1);
	}

	public int getFaceValue() {
		return faceValue;
	}

	public void setFaceValue(int faceValue) {
		this.faceValue = faceValue;
	}

	public String toString() {
		return Integer.toString(faceValue);
	}

	public boolean equals(Object other) {
		// !(other instanceof Die)
		if(other == null || getClass() != other.getClass()) {
			return false;
		}

		Die otherAsDie = (Die) other;

		return faceValue == otherAsDie.getFaceValue();

	}





}